#include <stdint.h>

void dp_int32(int32_t *a, int32_t *b, int32_t *len, int32_t *res) {
    int32_t N = *len;
    int32_t reslocal = 0;
    for(int32_t i = 0; i < N; i++) {
        reslocal = reslocal + a[i]*b[i];
    }
    *res = reslocal;
    return ;
}